

function [wm,w,f]=slfilt_lif(N,L,Par,pol_dis_qint)
%prediction filters for lifting biorth. transforms

%Par--spline order
%pol_dis_qint=1--polynom. interp. spline; =2--discr. interp. spline; 
%if pol_dis_qint=3 and Par=3 then quadratic quasi-interp. spline 
%if pol_dis_qint=3 and Par=33 --extended quadratic quasiinterp. spline
nl=L/N;
n=0:(L-1);

u=[];v=[];

 w=exp(2*i*pi*(n)/2/N);
wm=exp(-i*2* pi*(n)/2/N);
if pol_dis_qint==1

[u,v]=juviP(Par,N);
f=v./(u+eps);

elseif pol_dis_qint==2
 y=cos(1*pi*(n)/2/N).^Par;
  z=sin( 1*pi*(n)/2/N).^Par;  
  f=1.*(y-z)./(y+z+eps);
  elseif pol_dis_qint==3
      if Par==3
          f=(-w.^3+9*w-wm.^3+9*wm)/16;
      elseif Par==33%extended quadratic quasiinterp. spline
          f=(3*w.^5-25*w.^3+150*w+3*wm.^5-25*wm.^3+150*wm)/256;
      end
end
f=repmat(f,1,nl);